presageSimulator.cpp File Reference
`#include <getopt.h>`
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include "core/charsets.h"`
`#include "core/tokenizer/forwardTokenizer.h"`
`#include "simulator/simulator.h"`
Include dependency graph for presageSimulator.cpp:

Go to the source code of this file.

## Classes

class | SimulatorPresageCallback

## Functions

void | parseCommandLineArgs (int argc, char *argv[])
void | printUsage ()
void | printVersion ()
int | main (int argc, char *argv[])

## Variables

const char | PROGRAM_NAME [] = "presage_simulator"
bool | silent_mode = false
bool | case_insensitive = false
std::string | config

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 77 of file presageSimulator.cpp.

References case_insensitive, config, DEFAULT_BLANKSPACE_CHARS, DEFAULT_SEPARATOR_CHARS, endl(), ForwardTokenizer::hasMoreTokens(), Tokenizer::lowercaseMode(), ForwardTokenizer::nextToken(), parseCommandLineArgs(), printUsage(), Simulator::results(), silent_mode, Simulator::silentMode(), and Simulator::simulate().

Here is the call graph for this function:

## parseCommandLineArgs()

void parseCommandLineArgs | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 114 of file presageSimulator.cpp.

References case_insensitive, config, printUsage(), printVersion(), and silent_mode.

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## printUsage()

void printUsage | ( |  | ) |

Definition at line 176 of file presageSimulator.cpp.

References endl(), and PROGRAM_NAME.

Referenced by main(), and parseCommandLineArgs().

Here is the call graph for this function:
Here is the caller graph for this function:

## printVersion()

void printVersion | ( |  | ) |

Definition at line 167 of file presageSimulator.cpp.

References endl(), and PROGRAM_NAME.

Referenced by parseCommandLineArgs().

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## case_insensitive

bool case_insensitive = false

Definition at line 53 of file presageSimulator.cpp.

Referenced by main(), and parseCommandLineArgs().

## config

std::string config

Definition at line 54 of file presageSimulator.cpp.

Referenced by main(), and parseCommandLineArgs().

## PROGRAM_NAME

const char PROGRAM_NAME[] = "presage_simulator"

Definition at line 46 of file presageSimulator.cpp.

Referenced by printUsage(), and printVersion().

## silent_mode

bool silent_mode = false

Definition at line 52 of file presageSimulator.cpp.

Referenced by main(), and parseCommandLineArgs().